<?php

namespace jrosset\ArrayClasses;

/**
 * An immutable array
 */
class ImmutableArrayClass implements IImmutableArrayClass {
    use TImmutableInternalArray;

    /**
     * @inheritDoc
     */
    public function toMutable (): IArrayClass {
        return new ArrayClass($this->array, $this->throwsForNonExistentElement());
    }
}